﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace JsonRpcRT.RemoteMethodsHandling
{
    public class RemoteMethodNotificationHandler : BaseRemoteHandler
    {
        public RemoteMethodNotificationHandler(JsonRpcController networkManager) : base(networkManager)
        {
        }

        protected async Task<bool> Send()
        {
            return NetworkManager != null && await NetworkManager.SendNotificationAsync(GetMethodName(), MethodParams);
        }
    }
}
